# Rivet: static site genetator
River takes a source directory containing a the file sources and produces an
output directory that can actually be uploaded to a server.

## Dependencies
- [lowdown](https://kristaps.bsd.lv/lowdown/)
- POSIX utilities
- POSIX sh

## Examples
Generate site from directory to `cool_site`
```sh
$ rivet -o cool_site source_of_cool_site/
```

The makefile I use to generate my site
```make
SRCDIR = src
DESTDIR = dst

all:
	mkdir -p ${DESTDIR}
	ssg -o ${DESTDIR} ${SRCDIR}

test: all
	xdg-open ${DESTDIR}/index.html

install: all
	rsync -vmruLz --delete ${DESTDIR}/ www@${URL}:/www/

clean:
	rm -rf ${DESTDIR}
```

## Similar tools

- [saait](https://git.codemadness.org/saait/file/README.html)
- [ssg](https://www.romanzolotarev.com/ssg.html)
